// fileutil.h
// some additional layering on files.h
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#error obsolete

#ifndef __FILEUTIL_H
#define __FILEUTIL_H

// istrstream, ostrstream
#ifdef __WIN32__
#  include <strstrea.h>
#else
#  include <strstream.h>
#endif

#include "datablok.h"    // DataBlock
#include "files.h"       // FileSource, FileSink


// surrogate file source
class MemFileSource {
  DataBlock storage;
    // for istrstream implementations that don't make their own copy

  istrstream *stream;
    // what FileSource knows about

  FileSource *fsource;
    // the main thing

#ifdef WIN32
  char fname[1024]; // filename for file system hack
#endif

public:
  MemFileSource(DataBlock const &obj);
  ~MemFileSource();

  operator FileSource& ()
    { return *fsource; }
};


// surrogate file sink
class MemFileSink {
  DataBlock storage;
  ostrstream *stream;
  FileSink *fsink;

#ifdef WIN32
  char fname[1024]; // filename for file system hack
#endif

public:
  MemFileSink(int maxlen);
  ~MemFileSink();

  operator FileSink& ()
    { return *fsink; }

  DataBlock const &getData();
};

#endif //  __FILEUTIL_H

